<?php

/**
* Крон файл, награда для лиги для БТ т
* @author Alex Priadko (ELfi)
* @package ClashOfTitans by 3KZO
* @return void
* @license pay by 100wmr
*/

include_once 'common.php';

/** 
* Награды тут переменные указываем колво золота! 
* 
* @param int
*/

$reward = array (0,30000,15000,10000);

$place1 = mysql_fetch_array(mysql_query("SELECT * FROM `users` 
										`league_place`='1'"));
if (isset($place1))
{
	mysql_query("UPDATE `users` SET `g`=`g`+'".$reward['1']."' 
				WHERE `id`='".$place1['id']."'");	
}

$place2 = mysql_fetch_array(mysql_query("SELECT * FROM `users` 
										`league_place`='2'"));
if (isset($place2))
{
	mysql_query("UPDATE `users` SET `g`=`g`+'".$reward['2']."' 
				WHERE `id`='".$place2['id']."'");	
}

$place3 = mysql_fetch_array(mysql_query("SELECT * FROM `users` 
										`league_place`='3'"));
if (isset($place3))
{
	mysql_query("UPDATE `users` SET `g`=`g`+'".$reward['3']."' 
				WHERE `id`='".$place3['id']."'");	
}

/**
* Добавляем новости на форум!
* 
*@return void
*/
$q =  explode(":", date('d:m:o'));

/**
* Формируем заголовок новости
* @return string
*/
$titleNews = 'Награды за места в лиге за '.$q['0'].'.'.$q['1'].'.'.$q['2'].'';

/**
* Формируем текст новости
* @return string
*/
$textNews = 'Сегодня  '.$q['0'].'.'.$q['1'].'.'.$q['2'].' награды за места
			В лиге Получают игроки 
			1) Место : '.$place1['login'].' + 30000 золота!
			2) Место : '.$place2['login'].' + 15000 золота!
			3) Место : '.$place2['login'].' + 10000 золота!
			Удачи бойцам!
';

mysql_query('INSERT INTO `forum_topic` (`sub`,
                                        `name`,
                                        `user`,
                                        `text`,
                                        `time`) VALUES ("9",
                                                             "'.$titleNews.'",
                                                       "1",
                                                             "'.$textNews.'",
                                                           "'.time().'")');

/**
* Модуль написан Александром Прядко на заказ Knings.ru
* Запрешено расспространять.
* З.Ы. просто ридми, поставить на крон сколько Вам удобно!!! Удачки епта)
*/